package com.library.model;

import java.sql.Timestamp;

/**
 * 会员余额记录
 * @author Administrator
 *
 */

public class UserBalanceRecordModel {
	
	private int id;
	private int by_userid;//对应会员id
	private int state;//状态：1充值，2消费 
	private double price;//金额
	private double after_balance;//操作之后的金额 
	private Timestamp time;//时间
	private Timestamp recharge_time;// 充值时间（付款时间）
	private int recharge_method;//	 支付方式：1:微信支付 2：支付宝支付
	private int recharge_state;//	 充值状态：1待付款，2已付款
	private String recharge_num;//	 充值单号，当state=1时候
	private String remark;//备注

	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public int getBy_userid() {
		return by_userid;
	}
	public void setBy_userid(int by_userid) {
		this.by_userid = by_userid;
	}
	public int getState() {
		return state;
	}
	public void setState(int state) {
		this.state = state;
	}
	public double getPrice() {
		return price;
	}
	public void setPrice(double price) {
		this.price = price;
	}
	public double getAfter_balance() {
		return after_balance;
	}
	public void setAfter_balance(double after_balance) {
		this.after_balance = after_balance;
	}
	public Timestamp getTime() {
		return time;
	}
	public void setTime(Timestamp time) {
		this.time = time;
	}

	public Timestamp getRecharge_time() {
		return recharge_time;
	}

	public void setRecharge_time(Timestamp recharge_time) {
		this.recharge_time = recharge_time;
	}

	public int getRecharge_state() {
		return recharge_state;
	}

	public void setRecharge_state(int recharge_state) {
		this.recharge_state = recharge_state;
	}

	public String getRecharge_num() {
		return recharge_num;
	}

	public void setRecharge_num(String recharge_num) {
		this.recharge_num = recharge_num;
	}

	public int getRecharge_method() {
		return recharge_method;
	}

	public void setRecharge_method(int recharge_method) {
		this.recharge_method = recharge_method;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getRemark() {
		return remark;
	}

}
